Communities
Get a community
GET /v1/communities/{community_id} reads 1 credits
A Community's profile: name, description, member count, join policy, topic, banner, creator, trending hashtags and rules.
response
One community object. An unknown or unavailable Community is 404.
Status: 200, 404, 422, 429, 502
request
curl https://api.xsignalfeed.com/v1/communities/1493446837214187523 \ -H "Authorization: Bearer xsf_your_key"
response · 200 / 404
{
"community": {
"id": "1493446837214187523",
"name": "Build in Public",
"description": "Share what you're working on. Get feedback. Help each other move forward. …",
"member_count": 267179,
"created_ms": 1644900447551,
"join_policy": "Open",
"is_nsfw": false,
"primary_topic": "Entrepreneurship",
"banner": "https://pbs.twimg.com/community_banner_img/1915033378811772928/…?format=png&name=orig",
"creator": {
"id": "641633",
"screen_name": "marckohlbrugge",
"verified": true
},
"trending_hashtags": [
"#design",
"#code",
"…"
],
"rules": [
{
"id": "1493447542045958144",
"name": "Share what you're working on",
"description": "…"
},
{
"…": "…"
}
]
}
}